import kotlin.String
import org.gradle.plugin.use.PluginDependenciesSpec
import org.gradle.plugin.use.PluginDependencySpec

/**
 * Generated by https://github.com/jmfayard/buildSrcVersions
 *
 * Find which updates are available by running
 *     `$ ./gradlew buildSrcVersions`
 * This will only update the comments.
 *
 * YOU are responsible for updating manually the dependency version.
 */
object Versions {
    const val org_jetbrains_kotlin: String = "1.4.21-2"

    const val io_javalin: String = "3.12.0"

    const val com_github_johnrengelman_shadow_gradle_plugin: String = "6.1.0"

    const val de_fayard_buildsrcversions_gradle_plugin: String = "0.7.0"

    const val org_jetbrains_kotlin_jvm_gradle_plugin: String = "1.4.21-2"

    const val jackson_module_kotlin: String = "2.12.1"

    const val kotlin_openapi3_dsl: String = "1.0.0"

    const val jackson_databind: String = "2.12.1"

    const val junit_jupiter: String = "5.7.0"

    const val slf4j_simple: String = "1.7.30"

    const val swagger_core: String = "2.1.6"

    const val swagger_ui: String = "3.38.0"

    /**
     * Current version: "6.8"
     * See issue 19: How to update Gradle itself?
     * https://github.com/jmfayard/buildSrcVersions/issues/19
     */
    const val gradleLatestVersion: String = "6.8"
}

/**
 * See issue #47: how to update buildSrcVersions itself
 * https://github.com/jmfayard/buildSrcVersions/issues/47
 */
val PluginDependenciesSpec.buildSrcVersions: PluginDependencySpec
    inline get() =
            id("de.fayard.buildSrcVersions").version(Versions.de_fayard_buildsrcversions_gradle_plugin)
